Index: c/src/lib/libbsp/i386/pc386/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 8ae91559e31d14817e998657c2f83e45ddf3d599)
+++ c/src/lib/libbsp/i386/pc386/ChangeLog	(revision ed8206bfe8f93acd542cf3d6b9e815030dcc9e22)
@@ -1,2 +1,8 @@
+2008-04-17	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* Makefile.am: Do not use intermediate .rel files unless from libcpu or
+	a network driver. This simplifies the Makefile.am and avoids pulling
+	in unneeded code.
+
 2008-03-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/i386/pc386/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 8ae91559e31d14817e998657c2f83e45ddf3d599)
+++ c/src/lib/libbsp/i386/pc386/Makefile.am	(revision ed8206bfe8f93acd542cf3d6b9e815030dcc9e22)
@@ -55,8 +55,5 @@
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_PROGRAMS += clock.rel
-clock_rel_SOURCES = clock/ckinit.c clock/todcfg.c ../../shared/tod.c
-clock_rel_CPPFLAGS = $(AM_CPPFLAGS)
-clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+clock_SOURCES = clock/ckinit.c clock/todcfg.c ../../shared/tod.c
 
 include_rtemsdir = $(includedir)/rtems
@@ -64,35 +61,23 @@
     console/serial_mouse.h console/ps2_drv.h console/fb_vga.h
 
-noinst_PROGRAMS += console.rel
 include_HEADERS += ../../i386/shared/comm/i386_io.h
-console_rel_SOURCES = console/console.c console/inch.c console/outch.c \
+console_SOURCES = console/console.c console/inch.c console/outch.c \
     console/defkeymap.c console/fb_vga.c console/keyboard.c \
     console/mouse_parser.c console/pc_keyb.c console/ps2_mouse.c \
     console/serial_mouse.c console/vgainit.c console/vt.c console/videoAsm.S \
     ../../i386/shared/comm/uart.c ../../i386/shared/comm/tty_drv.c
-console_rel_CPPFLAGS = $(AM_CPPFLAGS)
-console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-noinst_PROGRAMS += gdb.rel
-gdb_rel_SOURCES = ../../i386/shared/comm/i386-stub.c \
+gdb_SOURCES = ../../i386/shared/comm/i386-stub.c \
     ../../i386/shared/comm/i386-stub-glue.c \
     ../../i386/shared/comm/gdb_glue.c
-gdb_rel_CPPFLAGS = $(AM_CPPFLAGS)
-gdb_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-noinst_PROGRAMS += gnat.rel
-gnat_rel_SOURCES = ../../shared/gnatinstallhandler.c
-gnat_rel_CPPFLAGS = $(AM_CPPFLAGS)
-gnat_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+gnat_SOURCES = ../../shared/gnatinstallhandler.c
 
-noinst_PROGRAMS += pci.rel
 include_HEADERS += ../../i386/shared/pci/pcibios.h
-pci_rel_SOURCES = ../../i386/shared/pci/pcibios.c ../../i386/shared/pci/pcibios.h
-pci_rel_CPPFLAGS = $(AM_CPPFLAGS)
-pci_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+pci_SOURCES = ../../i386/shared/pci/pcibios.c \
+    ../../i386/shared/pci/pcibios.h
 
-noinst_PROGRAMS += startup.rel
 include_HEADERS += ../../i386/shared/comm/uart.h
-startup_rel_SOURCES = ../../shared/bsplibc.c ../../shared/bsppost.c \
+startup_SOURCES = ../../shared/bsplibc.c ../../shared/bsppost.c \
     ../../shared/bsppredriverhook.c \
     startup/bspstart.c startup/exit.c ../../i386/shared/irq/idt.c \
@@ -100,11 +85,8 @@
     ../../shared/bootcard.c ../../shared/sbrk.c \
     startup/ldsegs.S ../../i386/shared/irq/irq_asm.S
-startup_rel_CPPFLAGS = $(AM_CPPFLAGS)
-startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-noinst_PROGRAMS += timer.rel
-timer_rel_SOURCES = timer/timer.c timer/timerisr.S
-timer_rel_CPPFLAGS = $(AM_CPPFLAGS)
-timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+timer_SOURCES = timer/timer.c timer/timerisr.S
+
+ide_SOURCES = ide/idecfg.c ide/ide.c
 
 if HAS_NETWORKING
@@ -136,13 +118,12 @@
 endif
 
-noinst_PROGRAMS += ide.rel
-ide_rel_SOURCES = ide/idecfg.c ide/ide.c
-ide_rel_CPPFLAGS = $(AM_CPPFLAGS)
-ide_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+noinst_LIBRARIES = libbsp.a
+libbsp_a_SOURCES = $(clock_SOURCES) $(console_SOURCES) $(gdb_SOURCES) \
+    $(gnat_SOURCES) $(pci_SOURCES) $(startup_SOURCES) $(timer_SOURCES) \
+    $(ide_SOURCES)
 
-noinst_LIBRARIES = libbsp.a
-libbsp_a_SOURCES =
-libbsp_a_LIBADD = startup.rel clock.rel console.rel timer.rel ide.rel \
-    gdb.rel gnat.rel pci.rel
+libbsp_a_LIBADD = ../../../libcpu/@RTEMS_CPU@/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/page.rel \
+    ../../../libcpu/@RTEMS_CPU@/score.rel
 # We only build the Network library if HAS_NETWORKING was defined
 # dec21140 is supported via libchip
@@ -150,7 +131,5 @@
 libbsp_a_LIBADD += ne2000.rel wd8003.rel 3c509.rel
 endif
-libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/cache.rel \
-    ../../../libcpu/@RTEMS_CPU@/page.rel \
-    ../../../libcpu/@RTEMS_CPU@/score.rel
+
 
 EXTRA_DIST += HOWTO README.dec21140 STATUS times_i486dx times_p5
Index: c/src/lib/libbsp/powerpc/psim/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/psim/ChangeLog	(revision 8ae91559e31d14817e998657c2f83e45ddf3d599)
+++ c/src/lib/libbsp/powerpc/psim/ChangeLog	(revision ed8206bfe8f93acd542cf3d6b9e815030dcc9e22)
@@ -1,2 +1,8 @@
+2008-04-17	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* Makefile.am: Do not use intermediate .rel files unless from libcpu or
+	a network driver. This simplifies the Makefile.am and avoids pulling
+	in unneeded code.
+
 2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/powerpc/psim/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision 8ae91559e31d14817e998657c2f83e45ddf3d599)
+++ c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision ed8206bfe8f93acd542cf3d6b9e815030dcc9e22)
@@ -38,42 +38,20 @@
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_PROGRAMS += startup.rel
-startup_rel_SOURCES = startup/bspclean.c ../../shared/bsplibc.c \
+noinst_LIBRARIES = libbsp.a
+
+startup_SOURCES = startup/bspclean.c ../../shared/bsplibc.c \
+    startup/bspclean.c ../../shared/bsplibc.c \
     ../../shared/bsppost.c ../../shared/bsppredriverhook.c \
     startup/bspstart.c ../../shared/bootcard.c ../../shared/sbrk.c \
     ../../shared/gnatinstallhandler.c
-startup_rel_CPPFLAGS = $(AM_CPPFLAGS)
-startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_PROGRAMS += pclock.rel
-pclock_rel_SOURCES = ../shared/clock/p_clock.c
-pclock_rel_CPPFLAGS = $(AM_CPPFLAGS)
-pclock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-## Bulk of Console driver with dependencies that entails
-noinst_PROGRAMS += console.rel
-console_rel_SOURCES = ../../shared/console-polled.c
-console_rel_CPPFLAGS = $(AM_CPPFLAGS)
-console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-## used for debug IO and bottom of console polled
-noinst_PROGRAMS += consoleio.rel
-consoleio_rel_SOURCES = console/console-io.c console/consupp.S
-consoleio_rel_CPPFLAGS = $(AM_CPPFLAGS)
-consoleio_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+pclock_SOURCES = ../shared/clock/p_clock.c
+console_SOURCES = ../../shared/console-polled.c
+debugio_SOURCES = console/console-io.c console/consupp.S
 
 include_bsp_HEADERS = irq/irq.h
-
-noinst_PROGRAMS += irq.rel
-irq_rel_SOURCES = irq/irq_init.c irq/no_pic.c
-irq_rel_CPPFLAGS = $(AM_CPPFLAGS)
-irq_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+irq_SOURCES = irq/irq_init.c irq/no_pic.c
 
 EXTRA_DIST += vectors/README
-
-noinst_PROGRAMS += vectors.rel
-vectors_rel_SOURCES = vectors/align_h.S
-vectors_rel_CPPFLAGS = $(AM_CPPFLAGS)
-vectors_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+vectors_SOURCES = vectors/align_h.S
 
 include_bsp_HEADERS += \
@@ -85,15 +63,12 @@
 EXTRA_DIST += shmsupp/README
 
-noinst_PROGRAMS += shmsupp.rel
-shmsupp_rel_SOURCES = shmsupp/addrconv.c shmsupp/getcfg.c shmsupp/lock.c \
-    shmsupp/mpisr.c
-shmsupp_rel_CPPFLAGS = $(AM_CPPFLAGS)
-shmsupp_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+shmdr_SOURCES = \
+    shmsupp/addrconv.c shmsupp/getcfg.c shmsupp/lock.c shmsupp/mpisr.c
 endif
 
-noinst_LIBRARIES = libbsp.a
-libbsp_a_SOURCES =
-libbsp_a_LIBADD = pclock.rel consoleio.rel console.rel irq.rel vectors.rel
-libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/shared/cpuIdent.rel \
+libbsp_a_SOURCES = $(startup_SOURCES) $(pclock_SOURCES) $(console_SOURCES) \
+    $(debugio_SOURCES) $(irq_SOURCES) $(vectors_SOURCES) $(shmdr_SOURCES)
+
+libbsp_a_LIBADD = ../../../libcpu/@RTEMS_CPU@/shared/cpuIdent.rel \
     ../../../libcpu/@RTEMS_CPU@/shared/stack.rel \
     ../../../libcpu/@RTEMS_CPU@/@exceptions@/rtems-cpu.rel \
@@ -105,18 +80,4 @@
     ../../../libcpu/@RTEMS_CPU@/mpc6xx/timer.rel
 
-libbsp_a_LIBADD += \
-startup_rel-bspclean.o \
-startup_rel-bsplibc.o \
-startup_rel-bsppost.o \
-startup_rel-bsppredriverhook.o \
-startup_rel-bspstart.o \
-startup_rel-bootcard.o \
-startup_rel-sbrk.o \
-startup_rel-gnatinstallhandler.o
-
-if HAS_MP
-libbsp_a_LIBADD += shmsupp.rel
-endif
-
 include $(srcdir)/preinstall.am
 include $(top_srcdir)/../../../../automake/local.am
